MonoMac 0.0.0.0 MonoMac.Foundation.NSObject MonoMac.Foundation.Register("NSURLRequest", true) A Url Load request. To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("init")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Default constructor that initializes a new instance of this class with no parameters.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCoder:")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  The unarchiver object.
  A constructor that initializes the object from the data stored in the unarchiver object.
  This constructor is provided to allow the class to be initialized from an unarchiver (for example, during NIB deserialization).
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Unused sentinel value, pass NSObjectFlag.Empty.
  Constructor to call on derived classes when the derived class has an [Export] constructor.

  This constructor should be called by derived classes when they are initialized using an [Export] attribute. The argument value is ignore, typically the chaining would look like this:

  public class MyClass : BaseClass { [Export ("initWithFoo:")] public MyClass (string foo) : base (NSObjectFlag.Empty) { ... }
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithURL:")
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Pointer (handle) to the unmanaged object.
  A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithURL:cachePolicy:timeoutInterval:")
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("HTTPBody")
  MonoMac.Foundation.NSData To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("HTTPBodyStream")
  MonoMac.Foundation.NSInputStream To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("cachePolicy")
  MonoMac.Foundation.NSUrlRequestCachePolicy To be added. To be added. To be added.
- Property
  0.0.0.0
  System.IntPtr The handle for this class. The pointer to the Objective-C class. Each MonoMac class mirrors an unmanaged Objective-C class. This value contains the pointer to the Objective-C class, it is similar to calling objc_getClass with the object name.
- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the NSUrlRequest object.

  This Dispose method releases the resources used by the NSUrlRequest class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the NSUrlRequest ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Method
  0.0.0.0
  MonoMac.Foundation.Export("requestWithURL:")
  MonoMac.Foundation.NSUrlRequest `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("allHTTPHeaderFields")
  MonoMac.Foundation.NSDictionary To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("HTTPMethod")
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  System.String `` HTTP Header Name. Gets the value of the specified HTTP header. To be added. `void DumpLenght (NSUrlRequest request) { Console.WriteLine ("The content lenght is: {0}", request ["Content-Length"]); }`
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("mainDocumentURL")
  MonoMac.Foundation.NSUrl To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("HTTPShouldHandleCookies")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("timeoutInterval")
  System.Double To be added. To be added. To be added.
- Method
  0.0.0.0
  System.String Returns a string representation of the value of the current instance.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("URL")
  MonoMac.Foundation.NSUrl To be added. To be added. To be added.